apiVersion: patch.risserlabs.com/v1alpha1
kind: Patch
metadata:
  name: patch-sample
spec:
  patches:
    - id: strategic
      target:
        version: v1
        kind: ConfigMap
        name: hello
      waitForTimeout: 5
      waitForResource: true
      skipIf:
        - jsonPath: data
          regex: howdy
      patch: |-
        data:
          howdy: texas
    - id: script
      target:
        version: v1
        kind: ConfigMap
        name: hello
      waitForTimeout: 5
      waitForResource: true
      skipIf:
        - jsonPath: data
          regex: fail
      type: script
      patch: |-
        echo Hello, world!
    # - id: json
    #   target:
    #     version: v1
    #     kind: ConfigMap
    #     name: hello
    #   waitForTimeout: 5
    #   skipIf:
    #     - jsonPath: data
    #       regex: '.*'
    #   type: json
    #   patch: |-
    #     - op: add
    #       path: /data/hello
    #       value: world
    - id: merge
      target:
        version: v1
        kind: ConfigMap
        name: hello
      waitForTimeout: 5
      waitForResource: true
      skipIf:
        - jsonPath: data
          regex: hello
      type: merge
      patch: |-
        data:
          hello: world
